//  main: main.less, out: ../style.css


/* 
====================================================================================================================================
SHOWREEL
======================================================================================================================================
*/

.c-slideshow {
    position: relative;
    z-index: 0;
    height: 100vh;
    min-height: 600px;
    width: 100%;

    &:before {
        position: absolute;
        content: '';
        display: block;
        right: 0;
        top: 0;
        width: 750px;
        height: 750px;
        background-image: url('./images/hero-draw.svg');
        background-position: top right;
        background-size: contain;
        background-repeat: no-repeat;
        opacity: .6;
        z-index: 1;
    }

    @media @media_smartphone {
        height: initial;
        padding-bottom: @margin__s;

        &:before {
            width: 250px;
            height: 250px;
        }
    }
}

.c-slideshow__image {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    right: 0;
    opacity: .3;
    z-index: 0;

    img {
        opacity: 0;
        visibility: hidden;
        .transition-elastic(all, 1.6s, cubic-bezier(0.4, 0.0, 0.2, 1), 0);

        &.isVisible {
            visibility: visible;
            opacity: 1;
        }
    }

    &:after {
        position: absolute;
        content: '';
        display: block;
        height: 100%;
        width: 100%;
        background-image: linear-gradient(180deg, rgba(0, 48, 90, 0.00) 0%, #00305A 100%);
        z-index: 1;
    }
}

.c-slideshow__content {
    position: absolute;
    padding: 0 @margin__xl;
    top: 50%;
    z-index: 10;
    .u-transform(translateY(-50%));

    h1 {
        margin: 0;

        img {
            max-width: 400px;
            width: 100%;
        }
        
        span {
            display: block;
            color: @color__white;
            font-size: @size__xl;
            font-weight: @font_w__l;
            max-width: 400px;
            margin: @margin__s/2 0 @margin__s*2;
            width: 100%;
        }
    }


    @media @media_smartphone {
        position: relative;
        padding: (@header__h_phone + @margin__m) @margin__s @margin__s @margin__s;
        top: initial;
        .u-transform(translateY(0));

        h1 img {
            max-width: 200px;

            span {
                font-size: @size__l;
            }
        }

    }
    @media @media_tablet {
        padding: 0 @margin__m;
    }

}

.c-slideshow__inner {
    .u-flex-display;
    margin-top: @margin__m*2;

    a {
        color: @color__white;
        width: 460px;
        background-color: fade(@color__secondary, 15%);
        border-bottom-left-radius: @margin__s;
        padding: @margin__s @margin__m @margin__s @margin__s;
        margin-right: 30px;
        background-image: url('./images/icon-arrow-right.svg');
        background-repeat: no-repeat;
        background-position: center right @margin__s;
        .transition-elastic--long;

        h4 {
            margin: 0;
            font-weight: @font_w__b;
        }

        span {
            line-height: @font_line_h__r;
        }

        &:hover {
            background-color: fade(@color__secondary, 30%);
            background-position: center right @margin__s/2;
        }
    }

    @media @media_smartphone, @media_tablet {
        .u-flex-direction(column);
        margin-top: @margin__s;

        a {
            width: 100%;
            padding: @margin__s/2 @margin__s*2 @margin__s/2 @margin__s;
            border-bottom-left-radius: @margin__s/2;
            margin-right: 0;
            margin-top: @margin__s;
        }
    }

    @media @media_tablet {
        margin-top: @margin__s*4;
    }
}

.js-hoverHeroDefault {
    visibility: visible !important;
    opacity: 1 !important;
}